Package com.sap.ai.sdk.grounding.model

# Class MSSharePointConfiguration

java.lang.Object
com.sap.ai.sdk.grounding.model.MSSharePointConfiguration

public class MSSharePointConfiguration extends Object
MSSharePointConfiguration

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `MSSharePointConfiguration.Builder`
  Builder helper class.
  `static interface`
  `MSSharePointConfiguration.Builder1`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MSSharePointConfiguration()`
  Default constructor for MSSharePointConfiguration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MSSharePointConfiguration.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `MSSharePointConfiguration` instance with all required arguments.
  `MSSharePointConfiguration`
  `cronExpression(String cronExpression)`
  Set the cronExpression of this `MSSharePointConfiguration` instance and return the same instance.
  `MSSharePointConfiguration`
  `destination(String destination)`
  Set the destination of this `MSSharePointConfiguration` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `String`
  `getCronExpression()`
  Get cronExpression
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `MSSharePointConfiguration`.
  `String`
  `getDestination()`
  Get destination
  `SharePointConfig`
  `getSharePoint()`
  Get sharePoint
  `int`
  `hashCode()`
  `void`
  `setCronExpression(String cronExpression)`
  Set the cronExpression of this `MSSharePointConfiguration` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `MSSharePointConfiguration` instance.
  `void`
  `setDestination(String destination)`
  Set the destination of this `MSSharePointConfiguration` instance.
  `void`
  `setSharePoint(SharePointConfig sharePoint)`
  Set the sharePoint of this `MSSharePointConfiguration` instance.
  `MSSharePointConfiguration`
  `sharePoint(SharePointConfig sharePoint)`
  Set the sharePoint of this `MSSharePointConfiguration` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `MSSharePointConfiguration` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MSSharePointConfiguration

    protected MSSharePointConfiguration()
    Default constructor for MSSharePointConfiguration.

- ## Method Details

  - ### destination

    @Nonnull public MSSharePointConfiguration destination(@Nonnull String destination)
    Set the destination of this `MSSharePointConfiguration` instance and return the same instance.
    Parameters:
      `destination` - The destination of this `MSSharePointConfiguration`
    Returns:
      The same instance of this `MSSharePointConfiguration` class

  - ### getDestination

    @Nonnull public String getDestination()
    Get destination
    Returns:
      destination The destination of this `MSSharePointConfiguration` instance.

  - ### setDestination

    public void setDestination(@Nonnull String destination)
    Set the destination of this `MSSharePointConfiguration` instance.
    Parameters:
      `destination` - The destination of this `MSSharePointConfiguration`

  - ### sharePoint

    @Nonnull public MSSharePointConfiguration sharePoint(@Nonnull SharePointConfig sharePoint)
    Set the sharePoint of this `MSSharePointConfiguration` instance and return the same instance.
    Parameters:
      `sharePoint` - The sharePoint of this `MSSharePointConfiguration`
    Returns:
      The same instance of this `MSSharePointConfiguration` class

  - ### getSharePoint

    @Nonnull public SharePointConfig getSharePoint()
    Get sharePoint
    Returns:
      sharePoint The sharePoint of this `MSSharePointConfiguration` instance.

  - ### setSharePoint

    public void setSharePoint(@Nonnull SharePointConfig sharePoint)
    Set the sharePoint of this `MSSharePointConfiguration` instance.
    Parameters:
      `sharePoint` - The sharePoint of this `MSSharePointConfiguration`

  - ### cronExpression

    @Nonnull public MSSharePointConfiguration cronExpression(@Nullable String cronExpression)
    Set the cronExpression of this `MSSharePointConfiguration` instance and return the same instance.
    Parameters:
      `cronExpression` - The cronExpression of this `MSSharePointConfiguration`
    Returns:
      The same instance of this `MSSharePointConfiguration` class

  - ### getCronExpression

    @Nonnull public String getCronExpression()
    Get cronExpression
    Returns:
      cronExpression The cronExpression of this `MSSharePointConfiguration` instance.

  - ### setCronExpression

    public void setCronExpression(@Nullable String cronExpression)
    Set the cronExpression of this `MSSharePointConfiguration` instance.
    Parameters:
      `cronExpression` - The cronExpression of this `MSSharePointConfiguration`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `MSSharePointConfiguration`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `MSSharePointConfiguration` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `MSSharePointConfiguration` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `MSSharePointConfiguration` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static MSSharePointConfiguration.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `MSSharePointConfiguration` instance with all required arguments.